﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebDataGrid_DropDownProvider
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Session["data"] = getTable();

                WebDataGrid1_DropDownProvider1.EditorControl.DataSource = DropDownTable;
            }
            this.WebDataGrid1.DataSource = Session["data"];
        }

        private DataTable getTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("col1", typeof(Int32));
            table.Columns.Add("col2", typeof(Int32));

            for (int i = 0; i < 5; i++)
            {
                table.Rows.Add(new object[] { i, i % 3 + 1 });
            }

            table.PrimaryKey = new DataColumn[] { table.Columns["col1"] };

            return table;
        }

        public DataTable DropDownTable
        {
            get
            {
                DataTable table = new DataTable();

                table.Columns.Add("ID", typeof(Int32));
                table.Columns.Add("Text", typeof(string));

                table.Rows.Add(new object[] { 1, "Item A" });
                table.Rows.Add(new object[] { 2, "Item B" });
                table.Rows.Add(new object[] { 3, "Item C" });

                return table;
            }
        }
    }
}